aboutsummaryrefslogtreecommitdiffstats
path: root/testing/guvcview/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2011-06-05 11:21:57 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2011-06-05 11:21:57 +0000
commit20ca018cff2138baba27b01907b738e216ff9c55 (patch)
tree3aea7c4dc19001d2b5346b00abe8109206963f87 /testing/guvcview/APKBUILD
parentf79fb4974db683de5c2049aa968ebcfae7d4875d (diff)
downloadaports-20ca018cff2138baba27b01907b738e216ff9c55.tar.gz
aports-20ca018cff2138baba27b01907b738e216ff9c55.tar.bz2
aports-20ca018cff2138baba27b01907b738e216ff9c55.tar.xz
testing/guvcview: new aport
Webcam viewer http://guvcview.berlios.de/
Diffstat (limited to 'testing/guvcview/APKBUILD')
-rw-r--r--testing/guvcview/APKBUILD44
1 files changed, 44 insertions, 0 deletions
diff --git a/testing/guvcview/APKBUILD b/testing/guvcview/APKBUILD
new file mode 100644
index 0000000000..e0f3553749
--- /dev/null
+++ b/testing/guvcview/APKBUILD
@@ -0,0 +1,44 @@
+# Contributor: Natanael Copa <ncopa@alpinelinux.org>
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=guvcview
+pkgver=1.4.5
+pkgrel=0
+pkgdesc="Webcam viewer"
+url="http://guvcview.berlios.de/"
+arch="all"
+license="GPLv3"
+depends=
+depends_dev=
+makedepends="gtk+-dev udev-dev sdl-dev portaudio-dev ffmpeg-dev v4l-utils-dev"
+install=
+subpackages="$pkgname-doc"
+source="http://download.berlios.de/guvcview/guvcview-src-$pkgver.tar.gz"
+
+_builddir="$srcdir"/guvcview-src-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info \
+ --localstatedir=/var \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="33d50a974f3db34eb5241686c3f86b60 guvcview-src-1.4.5.tar.gz"